## EMBOSS: seealso

# Program seealso

## Function

Finds programs sharing group names

## Description

This program takes the name of an existing program in EMBOSS (or a program in one the associated EMBASSY packages) and gives a list of the programs which share some functionality with it.

It does this by noting the functional groups that the program belongs to and reporting any programs which share those functional groups.

The functional groups of a program are set in the ACD file (this is the part of the program in the EMBOSS system which specifies the required parameters, some help on the parameters, the one-line description of the program, etc.) Normally the names of the groups are fairly specific, such as: "NUCLEIC COMPOSITION", resulting in the reporting of only a tightly restricted set of other programs also dealing with the analysis of "NUCLEIC COMPOSITION". The '-explode' qualifier will increase the number of groups that the program belongs to by splitting the group name at selected points to produce such groups as: "NUCLEIC", "NUCLEIC COMPOSITION" and "COMPOSITION". All programs with the exploded group names which also include "NUCLEIC" and "COMPOSITION" will now be reported. The result of this qualifier is thus a report of a larger number of programs with a more tenuous link to the specified program. In other words, use the '-explode' qualifier to decrease the specificity of the search.

The groups that the program belongs to can be output by using the '-groups' qualifier.

## Usage

Here is a sample session with seealso.

    % seealso
    Program to search for: matcher
    SEE ALSO
    seqmatchall      Does an all-against-all comparison of a set of sequences
    supermatcher     Finds a match of a large sequence against one or more sequences
    water            Smith-Waterman local alignment
    wordmatch        Finds all exact matches of a given size between 2 sequences

## Command line arguments

       Mandatory qualifiers:
      [-search]            string     Enter the name of an EMBOSS program

       Optional qualifiers (* if not always prompted):
       -explode            bool       The groups that EMBOSS applications belong
                                      to have two forms, exploded and not
                                      exploded. The exploded group names are more
                                      numerous and often vaguely phrased than the
                                      non-exploded ones. The exploded names are
                                      formed from definitions of the group names
                                      that start like NAME1:NAME2 and which are
                                      then expanded into many combinations of the
                                      names as: 'NAME1', 'NAME2', 'NAME1 NAME2',
                                      NAME2 NAME1'. The non-expanded names are
                                      simply like: 'NAME1 NAME2'.
                                      Using expanded group names will find many
                                      more programs which share at least some of
                                      the expanded names than using the
                                      non-exploded names and so you will get more
                                      programs reported as sharing a similar
                                      function than you will if you specify that
                                      you wish to use non-exploded names
       -outfile            outfile    If you enter the name of a file here then
                                      this program will write the program names
                                      and brief descriptions into that file.
       -html               bool       If you are sending the output to a file,
                                      this will format it for displaying as a
                                      table in a WWW document.
    *  -prelink            string     If you are outputting to a file in HTML
                                      format, you can make the program names into
                                      hyper-links by setting this to be the first
                                      half of the URL.
                                      For example, if you wish the program name to
                                      be a hyperlink to the URL:
                                      http://www.uk.embnet.org/Software/EMBOSS/Apps/
                                      programname.html
                                      then if you enter
                                      http://www.uk.embnet.org/Software/EMBOSS/Apps/
                                      here, then the first half of the URL before
                                      the program name will be set.
    *  -postlink           string     If you are outputting to a file in HTML
                                      format, you can make the program names into
                                      hyper-links by setting this to be the second
                                      half of the URL.
                                      For example, if you wish the program name to
                                      be a hyperlink to the URL:
                                      http://www.uk.embnet.org/Software/EMBOSS/Apps/
                                      programname.html
                                      then if you enter '.html' here, the second
                                      half of the URL after the program name will
                                      be set.
       -groups             bool       If you use this option, then only the group
                                      names will output to the file

       Advanced qualifiers:
       -[no]emboss         bool       If you use this option then EMBOSS program
                                      documentation will be searched. If this
                                      option is set to be false, then only the
                                      EMBASSY programs will be searched (if the
                                      -embassy option is true). EMBASSY programs
                                      are not strictly part of EMBOSS, but use the
                                      same code libraries and share the same look
                                      and feel, but are generally developed by
                                      people who wish the programs to be outside
                                      of the GNU Public Licence scheme, ie. they
                                      may wish to charge money for them.
       -[no]embassy        bool       If you use this option then EMBASSY program
                                      documentation will be searched. If this
                                      option is set to be false, then only the
                                      EMBOSS programs will be searched (if the
                                      -emboss option is true). EMBASSY programs
                                      are not strictly part of EMBOSS, but use the
                                      same code libraries and share the same look
                                      and feel, but are generally developed by
                                      people who wish the programs to be outside
                                      of the GNU Public Licence scheme, ie. they
                                      may wish to charge money for them.
       -colon              bool       The groups that EMBOSS applications belong
                                      to have up to two levels, for example the
                                      primary group 'ALIGNMENT' has several
                                      sub-groups, or second-level groups, e.g.:
                                      CONSENSUS, DIFFERENCES, DOT PLOTS, GLOBAL,
                                      LOCAL, MULTIPLE. To aid programs that parse
                                      the output of seealso that require the names
                                      of these subgroups, a colon ':' will be
                                      placed between the first and second level of
                                      the group name if this option is true.

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-search] (Parameter 1) | Enter the name of an EMBOSS program | Any string is accepted | An empty string is accepted
Optional qualifiers | Allowed values | Default

-explode

The groups that EMBOSS applications belong to have two forms, exploded and not exploded. The exploded group names are more numerous and often vaguely phrased than the non-exploded ones. The exploded names are formed from definitions of the group names that start like NAME1:NAME2 and which are then expanded into many combinations of the names as: 'NAME1', 'NAME2', 'NAME1 NAME2', NAME2 NAME1'. The non-expanded names are simply like: 'NAME1 NAME2'. Using expanded group names will find many more programs which share at least some of the expanded names than using the non-exploded names and so you will get more programs reported as sharing a similar function than you will if you specify that you wish to use non-exploded names

Yes/No

No

-outfile | If you enter the name of a file here then this program will write the program names and brief descriptions into that file. | Output file | stdout
-html | If you are sending the output to a file, this will format it for displaying as a table in a WWW document. | Yes/No | No

-prelink

If you are outputting to a file in HTML format, you can make the program names into hyper-links by setting this to be the first half of the URL. For example, if you wish the program name to be a hyperlink to the URL: http://www.uk.embnet.org/Software/EMBOSS/Apps/ programname.html then if you enter http://www.uk.embnet.org/Software/EMBOSS/Apps/ here, then the first half of the URL before the program name will be set.

Any string is accepted

An empty string is accepted

-postlink

If you are outputting to a file in HTML format, you can make the program names into hyper-links by setting this to be the second half of the URL. For example, if you wish the program name to be a hyperlink to the URL: http://www.uk.embnet.org/Software/EMBOSS/Apps/ programname.html then if you enter '.html' here, the second half of the URL after the program name will be set.

Any string is accepted

An empty string is accepted

-groups | If you use this option, then only the group names will output to the file | Yes/No | No
Advanced qualifiers | Allowed values | Default

-[no]emboss

If you use this option then EMBOSS program documentation will be searched. If this option is set to be false, then only the EMBASSY programs will be searched (if the -embassy option is true). EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU Public Licence scheme, ie. they may wish to charge money for them.

Yes/No

Yes

-[no]embassy

If you use this option then EMBASSY program documentation will be searched. If this option is set to be false, then only the EMBOSS programs will be searched (if the -emboss option is true). EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU Public Licence scheme, ie. they may wish to charge money for them.

Yes/No

Yes

-colon

The groups that EMBOSS applications belong to have up to two levels, for example the primary group 'ALIGNMENT' has several sub-groups, or second-level groups, e.g.: CONSENSUS, DIFFERENCES, DOT PLOTS, GLOBAL, LOCAL, MULTIPLE. To aid programs that parse the output of seealso that require the names of these subgroups, a colon ':' will be placed between the first and second level of the group name if this option is true.

Yes/No

No

## Input file format

## Output file format

The result is header line 'SEE ALSO' then a simple list of program names followed by the one-line description of the program.

If the '-html' qualifier is used, then the result is an HTML-formatted table, lacking the HTML document structures such as <HTML>, <BODY>, </BODY>, </HTML> which the user is expected to provide as the table will usually be included in the middle of a larger HTML document.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

The error message:

    FATAL ERROR: No application specified.

is output if a non-existent program name is specified.

## Exit status

The program exits with exist status '0' unless a non-existent program name is specified, when the exit status is '1'.

## Known bugs

None.

## See also

Program name | Description
--- | ---
abiview | Reads ABI file and display the trace
cirdna | Draws circular maps of DNA constructs
infoalign | Information on a multiple sequence alignment
infoseq | Displays some simple information about sequences
lindna | Draws linear maps of DNA constructs
pepnet | Displays proteins as a helical net
pepwheel | Shows protein sequences as helices
prettyplot | Displays aligned sequences, with colouring and boxing
prettyseq | Output sequence with translated ranges
remap | Display a sequence with restriction cut sites, translation etc
showalign | Displays a multiple sequence alignment
showdb | Displays information on the currently available databases
showfeat | Show features of a sequence
showseq | Display a sequence with features, translation etc
textsearch | Search sequence documentation text. SRS and Entrez are faster!
tfm | Displays a program's help documentation manual
whichdb | Search all databases for an entry
wossname | Finds programs by keywords in their one-line documentation

## Author(s)

This application was written by Gary Williams (gwilliam@hgmp.mrc.ac.uk)

## History

Written 16 June 2000 in response to a need to improve the automatic construction of EMBOSS documentation web pages.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments